package com.jxdinfo.hussar.core.bouncycastle.asn1.x509;

package .tmp;

import com.jxdinfo.hussar.core.Contact;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Encodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1EncodableVector;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1InputStream;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Sequence;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1TaggedObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERBitString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERSequence;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x509.AlgorithmIdentifier;
import java.io.IOException;
import java.util.Enumeration;

public class SubjectPublicKeyInfo extends ASN1Encodable {
  private DERBitString e;
  
  private AlgorithmIdentifier try;
  
  public DERObject getPublicKey() throws IOException {
    return (new ASN1InputStream(this.e.getBytes())).readObject();
  }
  
  public DERBitString getPublicKeyData() {
    return this.e;
  }
  
  public AlgorithmIdentifier getAlgorithmId() {
    return this.try;
  }
  
  public SubjectPublicKeyInfo(AlgorithmIdentifier algorithmIdentifier, DEREncodable dEREncodable) {
    this;
    super(dEREncodable);
    ((com.jxdinfo.hussar.core.bouncycastle.asn1.x509.SubjectPublicKeyInfo)new DERBitString()).e = (DERBitString)this;
  }
  
  public DERObject toASN1Object() {
    ASN1EncodableVector aSN1EncodableVector = new ASN1EncodableVector();
    aSN1EncodableVector.add((DEREncodable)this.try);
    aSN1EncodableVector.add((DEREncodable)this.e);
    return (DERObject)new DERSequence(aSN1EncodableVector);
  }
  
  public SubjectPublicKeyInfo(ASN1Sequence aSN1Sequence) {
    if (aSN1Sequence.size() != 2)
      throw new IllegalArgumentException((new StringBuilder()).insert(0, Contact.break("bqA:\\WviLnVU%dKeO,\003")).append(aSN1Sequence.size()).toString()); 
    this.try = AlgorithmIdentifier.getInstance(enumeration.nextElement());
    Enumeration<?> enumeration;
    this.e = DERBitString.getInstance((enumeration = aSN1Sequence.getObjects()).nextElement());
  }
  
  public SubjectPublicKeyInfo(AlgorithmIdentifier algorithmIdentifier, byte[] arrayOfByte) {
    this;
    super(arrayOfByte);
    ((com.jxdinfo.hussar.core.bouncycastle.asn1.x509.SubjectPublicKeyInfo)new DERBitString()).e = (DERBitString)this;
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.x509.SubjectPublicKeyInfo getInstance(ASN1TaggedObject a, int i) {
    return getInstance(ASN1Sequence.getInstance(a, i));
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.x509.SubjectPublicKeyInfo getInstance(Object a) {
    if (a instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.x509.SubjectPublicKeyInfo)
      return (com.jxdinfo.hussar.core.bouncycastle.asn1.x509.SubjectPublicKeyInfo)a; 
    while (true) {
      if (a != null)
        return new com.jxdinfo.hussar.core.bouncycastle.asn1.x509.SubjectPublicKeyInfo(ASN1Sequence.getInstance(a)); 
      while (true)
        return null; 
    } 
    while (true)
      return null; 
  }
}
